summaryrefslogtreecommitdiff
path: root/.azure-pipelines/commands/linux.sh
diff options
context:
space:
mode:
Diffstat (limited to '.azure-pipelines/commands/linux.sh')
-rwxr-xr-x.azure-pipelines/commands/linux.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/.azure-pipelines/commands/linux.sh b/.azure-pipelines/commands/linux.sh
new file mode 100755
index 0000000000..9cc2f966cb
--- /dev/null
+++ b/.azure-pipelines/commands/linux.sh
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+
+set -o pipefail -eux
+
+declare -a args
+IFS='/:' read -ra args <<< "$1"
+
+image="${args[1]}"
+
+if [ "${#args[@]}" -gt 2 ]; then
+ target="shippable/posix/group${args[2]}/"
+else
+ target="shippable/posix/"
+fi
+
+# shellcheck disable=SC2086
+ansible-test integration --color -v --retry-on-error "${target}" ${COVERAGE:+"$COVERAGE"} ${CHANGED:+"$CHANGED"} ${UNSTABLE:+"$UNSTABLE"} \
+ --docker "${image}"